#####################
XGBoost Documentation
#####################

**XGBoost** is an optimized distributed gradient boosting library designed to be highly **efficient**, **flexible** and **portable**.
It implements machine learning algorithms under the `Gradient Boosting <https://en.wikipedia.org/wiki/Gradient_boosting>`_ framework.
XGBoost provides a parallel tree boosting (also known as GBDT, GBM) that solve many data science problems in a fast and accurate way.
The same code runs on major distributed environment (Hadoop, SGE, MPI) and can solve problems beyond billions of examples.

********
Contents
********

.. toctree::
  :maxdepth: 2
  :titlesonly:

  build
  get_started
  tutorials/index
  faq
  XGBoost User Forum <https://discuss.xgboost.ai>
  GPU support <gpu/index>
  parameter
  Python package <python/index>
  R package <R-package/index>
  JVM package <jvm/index>
  Julia package <julia>
  CLI interface <cli>
  contrib/index
